Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Static Public Member Functions | List of all members
FlexibleVector2 Class Reference

参照方法が複数ある柔軟なVector2型を扱うクラス。 More...

Inheritance diagram for FlexibleVector2:

## Public Member Functions
| FlexibleVector2 ()
| FlexibleVector2デフォルトコンストラクタ More...
| FlexibleVector2 (Vector2 value)
| FlexibleVector2コンストラクタ More...
| FlexibleVector2 (Vector2ParameterReference parameter)
| FlexibleVector2コンストラクタ More...
| FlexibleVector2 (InputSlotVector2 slot)
| FlexibleVector2コンストラクタ More...
Public Member Functions inherited from FlexibleField< Vector2 >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator Vector2 (FlexibleVector2 flexible)
| FlexibleVector2をVector2にキャスト。 More...
static | operator FlexibleVector2 (Vector2 value)
| Vector2をFlexibleVector2にキャスト。 More...
Static Public Member Functions inherited from FlexibleField< Vector2 >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Vector2 >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< Vector2 >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なVector2型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleVector2() [1/4]

FlexibleVector2 | ( |  | ) |

FlexibleVector2デフォルトコンストラクタ

## ◆ FlexibleVector2() [2/4]

FlexibleVector2 | ( | Vector2 | value | ) |

FlexibleVector2コンストラクタ

Parameters

  value | 値

## ◆ FlexibleVector2() [3/4]

FlexibleVector2 | ( | Vector2ParameterReference | parameter | ) |

FlexibleVector2コンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleVector2() [4/4]

FlexibleVector2 | ( | InputSlotVector2 | slot | ) |

FlexibleVector2コンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ operator FlexibleVector2()

static operator FlexibleVector2 | ( | Vector2 | value | ) |
| explicit static

Vector2をFlexibleVector2にキャスト。

Parameters

  value | Vector2

## ◆ operator Vector2()

static operator Vector2 | ( | FlexibleVector2 | flexible | ) |
| explicit static

FlexibleVector2をVector2にキャスト。

Parameters

  flexible | FlexibleVector2